Subject: [tcpm] Feedback on WG acceptance of draft-bensley-tcpm-dctcp-03

From: "Scharf, Michael (Michael)" <[email-masked]>
Date: Wed, 22 Apr 2015 08:53:54 +0000

Dear all,

During IETF 89 [1] and on the list there has been a discussion about WG adoption of draft-bensley-tcpm-dctcp [2]. The understanding of the chairs is that there is no clear consensus up to now.

In order to move forward, the chairs seek for community guidance regarding the following options to handle this draft:

a) Adopt in TCPM as Informational

b) Adopt in TCPM as Experimental

c) Do not adopt in TCPM now

Option c) does not prevent publication outside TCPM, such as publication by another working group (e.g., TSVWG), publication on Independent Stream, etc.

The TCPM chairs believe that adoption of alternative congestion control algorithms in TCPM should be backed by a strong consensus. Please also review [3] and [4] regarding the difference between Experimental and Informational.

Please let us know any feedback on a potential WG acceptance of draft-bensley-tcpm-dctcp-03 until May 8.

Thanks!

Michael, Pasi, Yoshifumi

[1] http://www.ietf.org/proceedings/89/minutes/minutes-89-tcpm

[2] https://tools.ietf.org/html/draft-bensley-tcpm-dctcp-03

[3] RFC 2026, Section 4.2.1, 4.2.2

[4] https://www.ietf.org/iesg/informational-vs-experimental.html

---

From: Gorry Fairhurst <[email-masked]>
Date: Tue, 28 Apr 2015 16:58:03 +0100

On 22/04/2015 09:53, Scharf, Michael (Michael) wrote:
> _______________________________________________
> tcpm mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/tcpm
>

As an individual:

I expect the expertise needed to review this and comment on the text is 
available in TCPM, and this should be discussed in this WG.

However, I doubt if it is appropriate for the WG to work to further 
develop mechanisms within the existing spec - I therefore do not support 
making this the spec an IETF standard (even EXP).

That said, I fully support the idea of an Informational RFC documenting 
DCTCP as existing use of TCP - especially if the target deployment area 
is stated to be within a controlled environment, such as a data centre.

I think this could best be an Informational spec as an AD-sponsored 
draft, but such a draft could (I think) also be adopted in TCPM (or from 
TSVWG - if this proves to be an appropriate place to see the document 
published, which could be considered since this changes the ECN reaction).

ALSO: I would like to see a standard-track RFC with IETF-specified 
mechanisms emerge that also handles Accurate ECN, ECN fallback and other 
related mechanisms. This could perhaps use DTCTP as a basis, if this 
proves appropriate.

Gorry

---

From: "Scheffenegger, Richard" <[email-masked]>
Date: Wed, 29 Apr 2015 12:43:33 +0000

Hi,

I think this draft, if the intention as I understood it so far, is to documents a specific, defined and deployed use case, would warrant informational status; Personally (disclaimer - as one of the co-authors of AccECN-reqs and the AccECN draft) I'm not very happy with the mangling of the ECN feedback mechanism described herein, but I do like the modulated CC reaction, which I believe has merit to develop further.

I tend to agree with Gorry, that the proper expertise to review the draft would be in TCPM, but it probably should be submitted as AD sponsored informational document. We have precedent for this - in TSVWG, the rtmfp spec was dealt with similarily (disclaimer, I served as doc shepard for that). A standards-track document should resolve the ECN signaling issue (ie. by requiring AccECN on both ends) at the very least.

Best regards,
 Richard

> -----Original Message-----
> From: tcpm [mailto:[email-masked]] On Behalf Of Scharf, Michael
> (Michael)
> Sent: Mittwoch, 22. April 2015 10:54
> To: [email-masked]
> Subject: [tcpm] Feedback on WG acceptance of draft-bensley-tcpm-dctcp-03
> 
> Dear all,
> 
> During IETF 89 [1] and on the list there has been a discussion about WG
> adoption of draft-bensley-tcpm-dctcp [2]. The understanding of the chairs
> is that there is no clear consensus up to now.
> 
> In order to move forward, the chairs seek for community guidance regarding
> the following options to handle this draft:
> 
> Option c) does not prevent publication outside TCPM, such as publication
> by another working group (e.g., TSVWG), publication on Independent Stream,
> etc.
> 
> The TCPM chairs believe that adoption of alternative congestion control
> algorithms in TCPM should be backed by a strong consensus. Please also
> review [3] and [4] regarding the difference between Experimental and
> Informational.
>